CVE-2006-2798
CVSS6.8
发布时间 :2006-06-02 21:02:00
修订时间 :2008-09-05 17:05:28
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in phpCommunityCalendar 4.0.3 allow remote attackers to inject arbitrary web script or HTML via the (1) LoName parameter in (a) week.php and (b) month.php and (2) AddressLink parameter in (c) event.php.


[CNNVD]phpCommunityCalendar 多个SQL注入漏洞(CNNVD-200606-052)

        phpCommunityCalendar是一款基于WEB的PHP编写的协同工作程序。
        phpCommunityCalendar对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        phpCommunityCalendar的多个脚本对用户提交的多个参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2798
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2798
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-052
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26648
(UNKNOWN)  XF  phpcommunitycalendar-multiple-sql-injection(26648)
http://milw0rm.com/exploits/1818
(UNKNOWN)  MILW0RM  1818
http://xforce.iss.net/xforce/xfdb/26647
(UNKNOWN)  XF  phpcommunitycalendar-week-month-event-xss(26647)
http://www.osvdb.org/31693
(UNKNOWN)  OSVDB  31693
http://www.osvdb.org/31692
(UNKNOWN)  OSVDB  31692
http://www.osvdb.org/31691
(UNKNOWN)  OSVDB  31691

- 漏洞信息

phpCommunityCalendar 多个SQL注入漏洞
中危 跨站脚本
2006-06-02 00:00:00 2006-06-05 00:00:00
远程  
        phpCommunityCalendar是一款基于WEB的PHP编写的协同工作程序。
        phpCommunityCalendar对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        phpCommunityCalendar的多个脚本对用户提交的多个参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.mozilla.org/

- 漏洞信息

31691
phpCommunityCalendar week.php LoName Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

phpCommunityCalendarcontains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the LoName variable upon submission to the week.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-05-23 Unknow
2006-05-23 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站